Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Sat 19 Apr 2014, 21:46
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Ease-0.4
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [14 Posts]  
Author Message
DPUP5520

Joined: 16 Feb 2011
Posts: 798

PostPosted: Tue 22 Mar 2011, 23:10    Post subject:  Ease-0.4
Subject description: Create nice and elegant presentations
 

Ease Presentation Editor. Was compiled using Luci-256 and hasn't been tested on any other version but should work just fine, please let me know if it is missing anything for any other versions or not working for you. Requires GLX support to work.

http://www.mediafire.com/?t3e71q3itzgr211

If you are using an Nvidia Graphics card download the Luci_Nvidia-256.35-k2.6.33.2-p5.pet after installing Ease.

1. Follow prompts to exit to prompt and run xorgwizard

2. startx

3. run the Nvidia X settings wizard

4. go to x server configuration settings and set resolution to zero

5. tab over to x screen and set color depth to 16.7 million (24bit).

6. Save to x configuration file and exit out.

7. Exit to prompt and run fixmenus and then startx and you are good to go.

Sorry I couldn't make it any easier but it took me forever to figure out how to do it this way as it is.

Edit: liblzma1 attached below for people missing the liblzma.so.1 dependency
liblzma1-4.999.9B.pet
Description 
pet

 Download 
Filename  liblzma1-4.999.9B.pet 
Filesize  146.49 KB 
Downloaded  530 Time(s) 

_________________
PupRescue 2.5
Puppy Crypt 528

Last edited by DPUP5520 on Wed 23 Mar 2011, 18:48; edited 1 time in total
Back to top
View user's profile Send private message 
KusaNoKaito


Joined: 19 Feb 2010
Posts: 99
Location: Florida

PostPosted: Wed 23 Mar 2011, 15:34    Post subject:  

Wow, you're amazing! Ease is a nice app but obviously quite difficult to compile from source.

I'm searching for the libs to get it running in Lucid Puppy 5.1 and I'll be sure to post them here once I've found them all.

_________________
Puppy Packages
My Website
Back to top
View user's profile Send private message Visit poster's website 
DPUP5520

Joined: 16 Feb 2011
Posts: 798

PostPosted: Wed 23 Mar 2011, 15:52    Post subject:  

What libs are you still missing? I may be able to just add them in for you.
_________________
PupRescue 2.5
Puppy Crypt 528
Back to top
View user's profile Send private message 
KusaNoKaito


Joined: 19 Feb 2010
Posts: 99
Location: Florida

PostPosted: Wed 23 Mar 2011, 16:11    Post subject:  

DPUP5520 wrote:
What libs are you still missing? I may be able to just add them in for you.


I only know of one at the moment. I can't seem to find it. Here's the message I get in the console:

Code:
$ ease
ease: error while loading shared libraries: liblzma.so.1: cannot open shared object file: No such file or directory
$

_________________
Puppy Packages
My Website
Back to top
View user's profile Send private message Visit poster's website 
DPUP5520

Joined: 16 Feb 2011
Posts: 798

PostPosted: Wed 23 Mar 2011, 16:26    Post subject:  

give me about 30 minutes and i'll post it up for you.
_________________
PupRescue 2.5
Puppy Crypt 528
Back to top
View user's profile Send private message 
DPUP5520

Joined: 16 Feb 2011
Posts: 798

PostPosted: Wed 23 Mar 2011, 16:28    Post subject:  

On second thought maybe this will work, open up the ppm and type in liblzma1 that package should have your missing lib.
_________________
PupRescue 2.5
Puppy Crypt 528
Back to top
View user's profile Send private message 
KusaNoKaito


Joined: 19 Feb 2010
Posts: 99
Location: Florida

PostPosted: Wed 23 Mar 2011, 18:24    Post subject:  

DPUP5520 wrote:
On second thought maybe this will work, open up the ppm and type in liblzma1 that package should have your missing lib.


Thank you, you have been allot of help. (makes me wish I could contribute more than I do)

I have tried getting this to work in puppy in the past but failed.

I am used to compiling programs I've created and not having to go after libs etc. (though I do make .pets of apps I can compile)

(maybe I could develop more powerful applications using some of the pre-made libs out there )

Anyway thanks again, now my puppy's complete.

_________________
Puppy Packages
My Website
Back to top
View user's profile Send private message Visit poster's website 
DPUP5520

Joined: 16 Feb 2011
Posts: 798

PostPosted: Wed 23 Mar 2011, 18:45    Post subject:  

No problem, glad to be of help. If you need help in the future don't hesitate to ask.
_________________
PupRescue 2.5
Puppy Crypt 528
Back to top
View user's profile Send private message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Thu 24 Mar 2011, 02:40    Post subject:  

Using ATI graphic card
- brand new 256 Lucid with GLX
this is what I am getting

Code:
# ease
IRQ's not enabled, falling back to busy waits: 2 0
** (ease:11191): DEBUG: ease-scrollable-embed.vala:77: 0.000000 1.000000

(ease:11191): ClutterGLX-CRITICAL **: Unable to make the stage window 0x1800029 the current GLX drawable
Segmentation fault
#

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
DPUP5520

Joined: 16 Feb 2011
Posts: 798

PostPosted: Thu 24 Mar 2011, 07:28    Post subject:  

@ lobster
This was compiled on 256 unfortunately all my computers use Nvidia cards however I will look into your problem when I get home from work today. I believe you ATI cards may need the clutter-eglx dependency.

Edit: Did a quick look into it and it appears to be a problem with ATI's fgrlx driver.

_________________
PupRescue 2.5
Puppy Crypt 528
Back to top
View user's profile Send private message 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Thu 24 Mar 2011, 09:26    Post subject:  

Many thanks - I did get it running and then got the BSOD (black screen of Death)
Had to reinstall my Puppy. That is when I got the message (did not run at all on the second installation) The first installation had the ATi crystal graphic driver as well as the GLX

It is a great program Smile

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
Lobster
Official Crustacean


Joined: 04 May 2005
Posts: 15117
Location: Paradox Realm

PostPosted: Mon 29 Aug 2011, 07:18    Post subject:  

tried on slacko beta 1
Code:
# ease
ease: error while loading shared libraries: libpoppler-glib.so.4: cannot open shared object file: No such file or directory
#

_________________
Puppy WIKI
Back to top
View user's profile Send private message Visit poster's website 
DPUP5520

Joined: 16 Feb 2011
Posts: 798

PostPosted: Tue 30 Aug 2011, 07:27    Post subject:  

I haven't used EASE since I created the pet and do not use slacko at all however try this and let me know if it works.
libpopper-glib.pet
Description 
pet

 Download 
Filename  libpopper-glib.pet 
Filesize  71.23 KB 
Downloaded  344 Time(s) 

_________________
PupRescue 2.5
Puppy Crypt 528
Back to top
View user's profile Send private message 
Cadejo

Joined: 29 Jun 2009
Posts: 52

PostPosted: Sun 29 Sep 2013, 21:25    Post subject:  

Wow! This should be built into puppy out of the box!
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [14 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Graphics
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0876s ][ Queries: 13 (0.0311s) ][ GZIP on ]